#!/usr/bin/perl

# Accessible Chat Program - E-mail Script
# Copyright 2004, Adaptive Technology Resource Centre, U of Toronto
# Written by: Boon-Hau Teh, boonhau.teh@utoronto.ca
# Last Modified: 04.05.04

sub sendConfirmation {
    use Net::SMTP;

    ($smtpserver, $to, $from, $fromname, $subject, $message) = @_;

    # This debug flag will print debugging code to your browser, 
    # depending on its value  
    # Set this to 1 to send debug code to your browser.  
    # Set it to 0 to turn it off.  

    my $DEBUG = 0;

    if($DEBUG)  
    {
       $| = 1;
       open(STDERR, ">&STDOUT");
    }

    # Create a new SMTP object
    $smtp = Net::SMTP->new($smtpserver, Debug => 1);

    # If can't connect, don't proceed with the rest of the script
    die "Couldn't connect to server" unless $smtp;

    $smtp->mail( $from );
    $smtp->to( $to );

    # Start the mail
    $smtp->data();

    # Send the header
    $smtp->datasend("From: $fromname <$from>\n");
    $smtp->datasend("Subject: $subject\n");
    $smtp->datasend("To: $to");
    $smtp->datasend("\n");

    # Send the body.
    $smtp->datasend("$message");

    # Send the termination string
    $smtp->dataend();

    # Close the connection
    $smtp->quit();
}

return 1;